Get deposit Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.lumetrade.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Lumetrade API MCP server": {
    "url": "https://docs.lumetrade.com/mcp"
  }
}

Close
GET /api/v1/deposits/{transactionId}

Returns a single deposit belonging to the authenticated API key owner.

Path parameters

  • transactionId string Required

    Deposit Transaction id returned by the deposit list endpoint.

Responses

  • 200 application/json

    Deposit returned successfully

    Hide response attributes Show response attributes object
    • currency string

      Deposit currency code.

    • accountId integer(int64)

      Account id linked to the deposit.

    • transactionId string

      Transaction id for deposit lookups.

    • amount number

      Deposit amount.

    • fee number

      Deposit fee.

    • status string

      Deposit status.

      Values are SUBMITTED, PENDING, PROCESSING, COMPLIANCE_PENDING, COMPLETED, FAILED, CANCELLED, or REVERSED.

    • completedAt string(date-time)

      Completion timestamp.

  • 404 application/json

    Deposit was not found for the authenticated user

    Hide response attributes Show response attributes object
    • currency string

      Deposit currency code.

    • accountId integer(int64)

      Account id linked to the deposit.

    • transactionId string

      Transaction id for deposit lookups.

    • amount number

      Deposit amount.

    • fee number

      Deposit fee.

    • status string

      Deposit status.

      Values are SUBMITTED, PENDING, PROCESSING, COMPLIANCE_PENDING, COMPLETED, FAILED, CANCELLED, or REVERSED.

    • completedAt string(date-time)

      Completion timestamp.

GET /api/v1/deposits/{transactionId}
curl \
 --request GET 'https://api.lumetrade.com/api/v1/deposits/dep_9H2K7P' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-API-SECRET: $API_KEY"
Response examples (200)
{
  "currency": "USDT",
  "accountId": 42,
  "transactionId": "DP9H2K7P",
  "amount": 100,
  "fee": 0,
  "status": "COMPLETED",
  "completedAt": "2026-05-11T10:15:30"
}
Response examples (404)
{
  "currency": "USDT",
  "accountId": 42,
  "transactionId": "DP9H2K7P",
  "amount": 100,
  "fee": 0,
  "status": "COMPLETED",
  "completedAt": "2026-05-11T10:15:30"
}